
//Title:        telkel
//Version:      
//Copyright:    Copyright (c) 1999
//Author:       Marc Fleury
//Company:      telkel
//Description:  Your description

package org.jboss.test.retry.interfaces;

import javax.ejb.*;
import java.rmi.*;


public class RetryHandler implements org.jboss.ejb.plugins.TxRetryExceptionHandler
{
   public boolean retry(Exception ex)
   {
      System.out.println("**** testing retry ****");
      if (ex instanceof RetryException)
      {
         RetryException.wasRetried = true;
         return true;
      }
      return false;
   }
}
